View Issue Details

IDProjectCategoryView StatusLast Update
0002336Far ManagerMacropublic2013-06-02 22:54
ReporterAidarAssigned Toshmuel 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002336: LuaMacro не сканирует каталоги-симлинки
DescriptionДля удобства работы с несколькими версиями FAR3,
в одной из них есть основная папка макросов,
а для других хотелось бы использовать ссылки на основную папку.
Steps To ReproduceЕсть папка Far3 с папкой macros\scripts\Rh_Macros в профиле.
Распаковал новую версию FAR3 в папку FarNew для тестирования.
В профиле создал ссылку на macros\scripts\Rh_Macros из Far3.
Макросы не загрузились.
Additional InformationВ строке
local flags = k==1 and F.FRS_RECUR or 0
предлагаю добавить ещё флаг F.FRS_SCANSYMLINK.
TagsNo tags attached.
Build3435

Activities

Aidar

2013-03-15 20:46

reporter   bugnote:0010522

Т.к. ссылки на плагины работают независимо от настройки "Сканировать символические ссылки", предлагаю сделать аналогичное поведения и для макросов.

shmuel

2013-05-30 17:06

developer   bugnote:0011050

3435.

Issue History

Date Modified Username Field Change
2013-03-15 20:44 Aidar New Issue
2013-03-15 20:46 Aidar Note Added: 0010522
2013-05-30 17:06 shmuel Note Added: 0011050
2013-05-30 17:06 shmuel Assigned To => shmuel
2013-05-30 17:06 shmuel Status new => feedback
2013-06-02 22:54 shmuel Build => 3435
2013-06-02 22:54 shmuel Status feedback => closed
2013-06-02 22:54 shmuel Resolution open => fixed
2013-06-02 22:54 shmuel Fixed in Version => 3.0